Extending Qt Creator Manual | CodeStyleEditor

Extending Qt Creator Manual 4.5.2

# CodeStyleEditor Class

(TextEditor::CodeStyleEditor)

- List of all members, including inherited members

## Public Functions

| CodeStyleEditor(ICodeStylePreferencesFactory *factory, ICodeStylePreferences *codeStyle, QWidget *parent = 0)
void | clearMargins()

## Member Function Documentation

### CodeStyleEditor::CodeStyleEditor(ICodeStylePreferencesFactory *factory, ICodeStylePreferences *codeStyle, QWidget *parent = 0)

Default constructs an instance of CodeStyleEditor.

### void CodeStyleEditor::clearMargins()